Name: voiceman
Version: 1.2.0pre3
Release: alt3
Packager: Michael Pozhidaev <msp@altlinux.ru>

Summary: Universal server for processing speech output
Group: Sound
License: GPL
Source: %name-%version.tar.gz
Source1: %name
Source2: %name.conf
Source3: %name-test

# Automatically added by buildreq on Mon Aug 11 2008
BuildRequires: gcc-c++ libao-devel

%description
%name is a utility for processing speech output in different
languages. Currently supported languages are English and
Russian. %name performs speech preprocessing to mark acronyms and
replace number with their word representation.  The important
developing goal is to implement the processing of speech output from
all installed application in single place and make reconfiguring easy.
%name can also process speech from remote computers by handling TCP/IP
connections.
This package contains client applications for connecting to VoiceMan daemon.

%package server
Summary: The VoiceMan server
Group: Sound
Requires: iconv libao aplay 
%description server
%name is a utility for processing speech output in different
languages. Currently supported languages are English and
Russian. %name performs speech preprocessing to mark acronyms and
replace number with their word representation.  The important
developing goal is to implement the processing of speech output from
all installed application in single place and make reconfiguring easy.
%name can also process speech from remote computers by handling TCP/IP
connections.
This package contains VoiceMan server

%package -n libvmclient-devel
Summary: C/C++ development files for producing speech output with voicemand
Group: Sound
%description -n libvmclient-devel
This package contains files used in developing applications in C/C++.
With these files you can connect to voiceman, produce speech with it
and control different speech parameters such as pitch, rate and
volume. 

%prep
%setup -q
%build
%configure default_socket=/var/run/voiceman.socket default_port=5511 log_file=/var/log/voiceman
make

%install
install -pD -m755 ./daemon/voicemand %buildroot%_bindir/voicemand
install -pD -m755 %SOURCE3 %buildroot%_bindir/voiceman-test
install -pD -m755 ./clients/voiceman %buildroot%_bindir/voiceman
install -pD -m755 ./clients/voiceman-espeak %buildroot%_bindir/voiceman-espeak
install -pD -m755 ./utils/voiceman-trim %buildroot%_bindir/voiceman-trim
install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/%name.conf
install -pD -m755 %SOURCE1 %buildroot%_sysconfdir/rc.d/init.d/%name

install -d -m755 %buildroot%_sysconfdir/%name.d
install -d -m755 %buildroot%_datadir/%name/sounds
install -pD -m644 ./data/ru_const %buildroot%_datadir/%name/ru_const
install -pD -m644 ./data/replacements %buildroot%_datadir/%name/replacements
install -pD -m644 ./data/charstable %buildroot%_datadir/%name/charstable
install -pD -m644 ./data/caps %buildroot%_datadir/%name/caps

install -pD -m644 ./libvmclient/vmclient.h %buildroot%_includedir/vmclient/vmclient.h
install -pD -m644 ./libvmclient/libvmclient.a %buildroot%_libdir/libvmclient.a

%preun server
%preun_service %name

%files
%_bindir/voiceman
%_bindir/voiceman-espeak

%files server
%doc COPYING README ChangeLog NEWS THANKS doc/architecture-rus.pdf
%_bindir/voicemand
%_bindir/voiceman-trim
%_bindir/voiceman-test
%config %_sysconfdir/voiceman.conf
%_sysconfdir/voiceman.d
%config %_sysconfdir/rc.d/init.d/voiceman
%_datadir/*

%files -n libvmclient-devel
%doc examples/example1.c examples/example2.c examples/example3.c examples/makefile
%_includedir/*
%_libdir/*

%changelog
* Wed Jul 01 2009 Michael Pozhidaev <msp@altlinux.ru> 1.2.0pre3-alt3
- Added errno.h to trim.cpp (gcc4.4 fix)

* Thu Nov 06 2008 Michael Pozhidaev <msp@altlinux.ru> 1.2.0pre3-alt2
- Added -fpic to libvmclient.a

* Sun Oct 26 2008 Michael Pozhidaev <msp@altlinux.ru> 1.2.0pre3-alt1
- Bugs fixes

* Thu Sep 04 2008 Michael Pozhidaev <msp@altlinux.ru> 1.2.0pre2-alt1
- Added config and test to the init.d script
- Added --stop command to shell client

* Mon Aug 11 2008 Michael Pozhidaev <msp@altlinux.ru> 1.2.0pre1-alt1
- Default configuration changed to mbrola+ru_tts
- emacspeak client renamed to voiceman-espeak
- package was splitted onto voiceman and voiceman-server
- fixed building scripts

* Wed Sep 26 2007 Michael Pozhidaev <msp@altlinux.ru> 1.1.0-alt3
- Fixed directory ownership

* Sun Sep 23 2007 Michael Pozhidaev <msp@altlinux.ru> 1.1.0-alt2
- Fixed bug with system directories ownership and added alsa output support

* Tue Jul 24 2007 Michael Pozhidaev <msp@altlinux.ru> 1.1.0pre1-alt0.1
- Removed boost dependences

* Thu Apr 26 2007 Michael Pozhidaev <msp@altlinux.org> 1.0.0-alt2
- Added package dependences

* Tue Apr 17 2007 Michael Pozhidaev <msp@altlinux.org> 1.0.0-alt1
- First stable release

* Mon Mar 26 2007 Michael Pozhidaev <msp@altlinux.org> 1.0.0-alt0.22
- initial publicated rpm
